package sample.test.apklib;

import android.app.Activity;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.RelativeLayout;

public class SampleApklibActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// setContentView(R.layout.main);
		init();
	}

	private void init() {
		int screenOrientation = ActivityInfo.SCREEN_ORIENTATION_PORTRAIT;
		Log.e("##CHECKMOD", " screenOrientation: " + String.valueOf(screenOrientation));

		setRequestedOrientation(screenOrientation);

		getWindow().setFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON, WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);

		LayoutInflater inflater = (LayoutInflater) getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		Log.e("##CHECKMOD", " inflater: " + String.valueOf(inflater));
		RelativeLayout.LayoutParams lp = new RelativeLayout.LayoutParams(LayoutParams.FILL_PARENT, LayoutParams.FILL_PARENT);

		ViewGroup mainView = (ViewGroup) inflater.inflate(R.layout.apklib, null);
		Log.e("##CHECKMOD", "mainView: " + String.valueOf(mainView));
		final Activity act = this;
		Button btn = (Button) mainView.findViewById(R.id.clickToMessage);
		btn.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				CharSequence str = new String("********** Quick Message ************");
				Log.i("##CHECKMOD", str.toString());

			}
		});

		this.addContentView(mainView, lp);
	}
}